Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface EditorCandies

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  GenDiagram

All Known Implementing Classes:
  GenDiagramImpl

public interface EditorCandies
extends EObject

A representation of the model object 'Editor Candies'.

The following features are supported:

- `Creation Wizard Class Name`
- `Creation Wizard Page Class Name`
- `Creation Wizard Icon Path`
- `Creation Wizard Category ID`
- `Diagram Editor Util Class Name`
- `Diagram File Creator Class Name`
- `Document Provider Class Name`
- `Init Diagram File Action Class Name`
- `New Diagram File Wizard Class Name`
- `Matching Strategy Class Name`
- `Preference Initializer Class Name`
- `Visual ID Registry Class Name`
- `Element Chooser Class Name`
- `Load Resource Action Class Name`
- `Editing Domain ID`

See Also:
  `GMFGenPackage.getEditorCandies()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`boolean` `generateInitDiagramAction()`
`java.lang.String` `getCreationWizardCategoryID()` Returns the value of the 'Creation Wizard Category ID' attribute
`java.lang.String` `getCreationWizardClassName()` Returns the value of the 'Creation Wizard Class Name' attribute
`java.lang.String` `getCreationWizardIconPath()` Returns the value of the 'Creation Wizard Icon Path' attribute
`java.lang.String` `getCreationWizardIconPathX()`
`java.lang.String` `getCreationWizardPageClassName()` Returns the value of the 'Creation Wizard Page Class Name' attribute
`java.lang.String` `getCreationWizardPageQualifiedClassName()`
`java.lang.String` `getCreationWizardQualifiedClassName()`
`java.lang.String` `getDiagramEditorUtilClassName()` Returns the value of the 'Diagram Editor Util Class Name' attribute
`java.lang.String` `getDiagramEditorUtilQualifiedClassName()`
`java.lang.String` `getDiagramFileCreatorClassName()` Returns the value of the 'Diagram File Creator Class Name' attribute
`java.lang.String` `getDiagramFileCreatorQualifiedClassName()`
`java.lang.String` `getDocumentProviderClassName()` Returns the value of the 'Document Provider Class Name' attribute
`java.lang.String` `getDocumentProviderQualifiedClassName()`
`java.lang.String` `getEditingDomainID()` Returns the value of the 'Editing Domain ID' attribute
`java.lang.String` `getElementChooserClassName()` Returns the value of the 'Element Chooser Class Name' attribute
`java.lang.String` `getElementChooserQualifiedClassName()`
`java.lang.String` `getInitDiagramFileActionClassName()` Returns the value of the 'Init Diagram File Action Class Name' attribute
`java.lang.String` `getInitDiagramFileActionQualifiedClassName()`
`java.lang.String` `getLoadResourceActionClassName()` Returns the value of the 'Load Resource Action Class Name' attribute
`java.lang.String` `getLoadResourceActionQualifiedClassName()`
`java.lang.String` `getMatchingStrategyClassName()` Returns the value of the 'Matching Strategy Class Name' attribute
`java.lang.String` `getMatchingStrategyQualifiedClassName()`
`java.lang.String` `getNewDiagramFileWizardClassName()` Returns the value of the 'New Diagram File Wizard Class Name' attribute
`java.lang.String` `getNewDiagramFileWizardQualifiedClassName()`
`java.lang.String` `getPreferenceInitializerClassName()` Returns the value of the 'Preference Initializer Class Name' attribute
`java.lang.String` `getPreferenceInitializerQualifiedClassName()`
`java.lang.String` `getVisualIDRegistryClassName()` Returns the value of the 'Visual ID Registry Class Name' attribute
`java.lang.String` `getVisualIDRegistryQualifiedClassName()`
`void` `setCreationWizardCategoryID(java.lang.String value)` Sets the value of the '`Creation Wizard Category ID`' attribute
`void` `setCreationWizardClassName(java.lang.String value)` Sets the value of the '`Creation Wizard Class Name`' attribute
`void` `setCreationWizardIconPath(java.lang.String value)` Sets the value of the '`Creation Wizard Icon Path`' attribute
`void` `setCreationWizardPageClassName(java.lang.String value)` Sets the value of the '`Creation Wizard Page Class Name`' attribute
`void` `setDiagramEditorUtilClassName(java.lang.String value)` Sets the value of the '`Diagram Editor Util Class Name`' attribute
`void` `setDiagramFileCreatorClassName(java.lang.String value)` Sets the value of the '`Diagram File Creator Class Name`' attribute
`void` `setDocumentProviderClassName(java.lang.String value)` Sets the value of the '`Document Provider Class Name`' attribute
`void` `setEditingDomainID(java.lang.String value)` Sets the value of the '`Editing Domain ID`' attribute
`void` `setElementChooserClassName(java.lang.String value)` Sets the value of the '`Element Chooser Class Name`' attribute
`void` `setInitDiagramFileActionClassName(java.lang.String value)` Sets the value of the '`Init Diagram File Action Class Name`' attribute
`void` `setLoadResourceActionClassName(java.lang.String value)` Sets the value of the '`Load Resource Action Class Name`' attribute
`void` `setMatchingStrategyClassName(java.lang.String value)` Sets the value of the '`Matching Strategy Class Name`' attribute
`void` `setNewDiagramFileWizardClassName(java.lang.String value)` Sets the value of the '`New Diagram File Wizard Class Name`' attribute
`void` `setPreferenceInitializerClassName(java.lang.String value)` Sets the value of the '`Preference Initializer Class Name`' attribute
`void` `setVisualIDRegistryClassName(java.lang.String value)` Sets the value of the '`Visual ID Registry Class Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCreationWizardClassName

    public java.lang.String getCreationWizardClassName()

  Returns the value of the 'Creation Wizard Class Name' attribute.

  If the meaning of the 'Creation Wizard Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Creation Wizard Class Name' attribute.
  See Also:
    `EditorCandies.setCreationWizardClassName(String)`, `GMFGenPackage.getEditorCandies_CreationWizardClassName()`
  ** Generated **
  Model:

### setCreationWizardClassName

    public void setCreationWizardClassName(java.lang.String value)

  Sets the value of the '`Creation Wizard Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Creation Wizard Class Name' attribute.
  See Also:
    `EditorCandies.getCreationWizardClassName()`
  ** Generated **

### getCreationWizardPageClassName

    public java.lang.String getCreationWizardPageClassName()

  Returns the value of the 'Creation Wizard Page Class Name' attribute.

  If the meaning of the 'Creation Wizard Page Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Creation Wizard Page Class Name' attribute.
  See Also:
    `EditorCandies.setCreationWizardPageClassName(String)`, `GMFGenPackage.getEditorCandies_CreationWizardPageClassName()`
  ** Generated **
  Model:

### setCreationWizardPageClassName

    public void setCreationWizardPageClassName(java.lang.String value)

  Sets the value of the '`Creation Wizard Page Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Creation Wizard Page Class Name' attribute.
  See Also:
    `EditorCandies.getCreationWizardPageClassName()`
  ** Generated **

### getCreationWizardIconPath

    public java.lang.String getCreationWizardIconPath()

  Returns the value of the 'Creation Wizard Icon Path' attribute.

  If the meaning of the 'Creation Wizard Icon Path' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Creation Wizard Icon Path' attribute.
  See Also:
    `EditorCandies.setCreationWizardIconPath(String)`, `GMFGenPackage.getEditorCandies_CreationWizardIconPath()`
  ** Generated **
  Model:
    required="true"

### getCreationWizardIconPathX

    public java.lang.String getCreationWizardIconPathX()

  Returns:
  See Also:
    `GenEditorView.getIconPathX()`

### setCreationWizardIconPath

    public void setCreationWizardIconPath(java.lang.String value)

  Sets the value of the '`Creation Wizard Icon Path`' attribute.

  Parameters:
    `value` - the new value of the 'Creation Wizard Icon Path' attribute.
  See Also:
    `EditorCandies.getCreationWizardIconPath()`
  ** Generated **

### getCreationWizardCategoryID

    public java.lang.String getCreationWizardCategoryID()

  Returns the value of the 'Creation Wizard Category ID' attribute.

  If the meaning of the 'Creation Wizard Category ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Creation Wizard Category ID' attribute.
  See Also:
    `EditorCandies.setCreationWizardCategoryID(String)`, `GMFGenPackage.getEditorCandies_CreationWizardCategoryID()`
  ** Generated **
  Model:

### setCreationWizardCategoryID

    public void setCreationWizardCategoryID(java.lang.String value)

  Sets the value of the '`Creation Wizard Category ID`' attribute.

  Parameters:
    `value` - the new value of the 'Creation Wizard Category ID' attribute.
  See Also:
    `EditorCandies.getCreationWizardCategoryID()`
  ** Generated **

### getDiagramEditorUtilClassName

    public java.lang.String getDiagramEditorUtilClassName()

  Returns the value of the 'Diagram Editor Util Class Name' attribute.

  If the meaning of the 'Diagram Editor Util Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram Editor Util Class Name' attribute.
  See Also:
    `EditorCandies.setDiagramEditorUtilClassName(String)`, `GMFGenPackage.getEditorCandies_DiagramEditorUtilClassName()`
  ** Generated **
  Model:

### setDiagramEditorUtilClassName

    public void setDiagramEditorUtilClassName(java.lang.String value)

  Sets the value of the '`Diagram Editor Util Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Diagram Editor Util Class Name' attribute.
  See Also:
    `EditorCandies.getDiagramEditorUtilClassName()`
  ** Generated **

### getDiagramFileCreatorClassName

    public java.lang.String getDiagramFileCreatorClassName()

  Returns the value of the 'Diagram File Creator Class Name' attribute.

  If the meaning of the 'Diagram File Creator Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram File Creator Class Name' attribute.
  See Also:
    `EditorCandies.setDiagramFileCreatorClassName(String)`, `GMFGenPackage.getEditorCandies_DiagramFileCreatorClassName()`
  ** Generated **
  Model:

### setDiagramFileCreatorClassName

    public void setDiagramFileCreatorClassName(java.lang.String value)

  Sets the value of the '`Diagram File Creator Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Diagram File Creator Class Name' attribute.
  See Also:
    `EditorCandies.getDiagramFileCreatorClassName()`
  ** Generated **

### getDocumentProviderClassName

    public java.lang.String getDocumentProviderClassName()

  Returns the value of the 'Document Provider Class Name' attribute.

  If the meaning of the 'Document Provider Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Document Provider Class Name' attribute.
  See Also:
    `EditorCandies.setDocumentProviderClassName(String)`, `GMFGenPackage.getEditorCandies_DocumentProviderClassName()`
  ** Generated **
  Model:

### setDocumentProviderClassName

    public void setDocumentProviderClassName(java.lang.String value)

  Sets the value of the '`Document Provider Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Document Provider Class Name' attribute.
  See Also:
    `EditorCandies.getDocumentProviderClassName()`
  ** Generated **

### getInitDiagramFileActionClassName

    public java.lang.String getInitDiagramFileActionClassName()

  Returns the value of the 'Init Diagram File Action Class Name' attribute.

  If the meaning of the 'Init Diagram File Action Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Init Diagram File Action Class Name' attribute.
  See Also:
    `EditorCandies.setInitDiagramFileActionClassName(String)`, `GMFGenPackage.getEditorCandies_InitDiagramFileActionClassName()`
  ** Generated **
  Model:

### setInitDiagramFileActionClassName

    public void setInitDiagramFileActionClassName(java.lang.String value)

  Sets the value of the '`Init Diagram File Action Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Init Diagram File Action Class Name' attribute.
  See Also:
    `EditorCandies.getInitDiagramFileActionClassName()`
  ** Generated **

### getNewDiagramFileWizardClassName

    public java.lang.String getNewDiagramFileWizardClassName()

  Returns the value of the 'New Diagram File Wizard Class Name' attribute.

  If the meaning of the 'New Diagram File Wizard Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'New Diagram File Wizard Class Name' attribute.
  See Also:
    `EditorCandies.setNewDiagramFileWizardClassName(String)`, `GMFGenPackage.getEditorCandies_NewDiagramFileWizardClassName()`
  ** Generated **
  Model:

### setNewDiagramFileWizardClassName

    public void setNewDiagramFileWizardClassName(java.lang.String value)

  Sets the value of the '`New Diagram File Wizard Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'New Diagram File Wizard Class Name' attribute.
  See Also:
    `EditorCandies.getNewDiagramFileWizardClassName()`
  ** Generated **

### getMatchingStrategyClassName

    public java.lang.String getMatchingStrategyClassName()

  Returns the value of the 'Matching Strategy Class Name' attribute.

  If the meaning of the 'Matching Strategy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Matching Strategy Class Name' attribute.
  See Also:
    `EditorCandies.setMatchingStrategyClassName(String)`, `GMFGenPackage.getEditorCandies_MatchingStrategyClassName()`
  ** Generated **
  Model:

### setMatchingStrategyClassName

    public void setMatchingStrategyClassName(java.lang.String value)

  Sets the value of the '`Matching Strategy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Matching Strategy Class Name' attribute.
  See Also:
    `EditorCandies.getMatchingStrategyClassName()`
  ** Generated **

### getPreferenceInitializerClassName

    public java.lang.String getPreferenceInitializerClassName()

  Returns the value of the 'Preference Initializer Class Name' attribute.

  If the meaning of the 'Preference Initializer Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Preference Initializer Class Name' attribute.
  See Also:
    `EditorCandies.setPreferenceInitializerClassName(String)`, `GMFGenPackage.getEditorCandies_PreferenceInitializerClassName()`
  ** Generated **
  Model:

### setPreferenceInitializerClassName

    public void setPreferenceInitializerClassName(java.lang.String value)

  Sets the value of the '`Preference Initializer Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Preference Initializer Class Name' attribute.
  See Also:
    `EditorCandies.getPreferenceInitializerClassName()`
  ** Generated **

### getVisualIDRegistryClassName

    public java.lang.String getVisualIDRegistryClassName()

  Returns the value of the 'Visual ID Registry Class Name' attribute.

  If the meaning of the 'Visual ID Registry Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Visual ID Registry Class Name' attribute.
  See Also:
    `EditorCandies.setVisualIDRegistryClassName(String)`, `GMFGenPackage.getEditorCandies_VisualIDRegistryClassName()`
  ** Generated **
  Model:

### setVisualIDRegistryClassName

    public void setVisualIDRegistryClassName(java.lang.String value)

  Sets the value of the '`Visual ID Registry Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Visual ID Registry Class Name' attribute.
  See Also:
    `EditorCandies.getVisualIDRegistryClassName()`
  ** Generated **

### getElementChooserClassName

    public java.lang.String getElementChooserClassName()

  Returns the value of the 'Element Chooser Class Name' attribute.

  If the meaning of the 'Element Chooser Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element Chooser Class Name' attribute.
  See Also:
    `EditorCandies.setElementChooserClassName(String)`, `GMFGenPackage.getEditorCandies_ElementChooserClassName()`
  ** Generated **
  Model:

### setElementChooserClassName

    public void setElementChooserClassName(java.lang.String value)

  Sets the value of the '`Element Chooser Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Element Chooser Class Name' attribute.
  See Also:
    `EditorCandies.getElementChooserClassName()`
  ** Generated **

### getLoadResourceActionClassName

    public java.lang.String getLoadResourceActionClassName()

  Returns the value of the 'Load Resource Action Class Name' attribute.

  If the meaning of the 'Load Resource Action Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Load Resource Action Class Name' attribute.
  See Also:
    `EditorCandies.setLoadResourceActionClassName(String)`, `GMFGenPackage.getEditorCandies_LoadResourceActionClassName()`
  ** Generated **
  Model:

### setLoadResourceActionClassName

    public void setLoadResourceActionClassName(java.lang.String value)

  Sets the value of the '`Load Resource Action Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Load Resource Action Class Name' attribute.
  See Also:
    `EditorCandies.getLoadResourceActionClassName()`
  ** Generated **

### getEditingDomainID

    public java.lang.String getEditingDomainID()

  Returns the value of the 'Editing Domain ID' attribute.

  If the meaning of the 'Editing Domain ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editing Domain ID' attribute.
  See Also:
    `EditorCandies.setEditingDomainID(String)`, `GMFGenPackage.getEditorCandies_EditingDomainID()`
  ** Generated **
  Model:

### setEditingDomainID

    public void setEditingDomainID(java.lang.String value)

  Sets the value of the '`Editing Domain ID`' attribute.

  Parameters:
    `value` - the new value of the 'Editing Domain ID' attribute.
  See Also:
    `EditorCandies.getEditingDomainID()`
  ** Generated **

### getCreationWizardQualifiedClassName

    public java.lang.String getCreationWizardQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getCreationWizardPageQualifiedClassName

    public java.lang.String getCreationWizardPageQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getDiagramEditorUtilQualifiedClassName

    public java.lang.String getDiagramEditorUtilQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getDiagramFileCreatorQualifiedClassName

    public java.lang.String getDiagramFileCreatorQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getDocumentProviderQualifiedClassName

    public java.lang.String getDocumentProviderQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getInitDiagramFileActionQualifiedClassName

    public java.lang.String getInitDiagramFileActionQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getNewDiagramFileWizardQualifiedClassName

    public java.lang.String getNewDiagramFileWizardQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getMatchingStrategyQualifiedClassName

    public java.lang.String getMatchingStrategyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getPreferenceInitializerQualifiedClassName

    public java.lang.String getPreferenceInitializerQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getVisualIDRegistryQualifiedClassName

    public java.lang.String getVisualIDRegistryQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getElementChooserQualifiedClassName

    public java.lang.String getElementChooserQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getLoadResourceActionQualifiedClassName

    public java.lang.String getLoadResourceActionQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### generateInitDiagramAction

    public boolean generateInitDiagramAction()

  ** Generated **
  Model:

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.